{
  "module": {
    "name": "entry",
    "type": "entry",
    "description": "$string:module_desc",
    "mainElement": "EntryAbility",
    "deviceTypes": [
      "phone"
    ],
    "deliveryWithInstall": true,
    "installationFree": false,
    "pages": "$profile:main_pages",
    "abilities": [
      {
        "name": "EntryAbility",
        "srcEntry": "./ets/entryability/EntryAbility.ets",
        "description": "$string:EntryAbility_desc",
        "icon": "$media:app_icon",
        "label": "$string:EntryAbility_label",
        "startWindowIcon": "$media:app_icon",
        "startWindowBackground": "$color:start_window_background",
        "exported": true,
        "skills": [
          {
            "entities": [
              "entity.system.home"
            ],
            "actions": [
              "action.system.home"
            ]
          }
        ]
      }
    ],
    "requestPermissions": [
      // 网络权限，用于网络请求、取流服务
      {
        "name": "ohos.permission.INTERNET",
        "reason": "$string:dependency_reason_internet",
        "usedScene": {
          "abilities": [
            "EntryAbility"
          ],
          "when": "inuse"
        }
      },
      // 相机权限，用于扫描设备二维码
      {
        "name": "ohos.permission.CAMERA",
        "reason": "$string:dependency_reason_camera",
        "usedScene": {
          "abilities": [
            "EntryAbility"
          ],
          "when": "inuse"
        }
      },
      // 麦克风权限，用于设备对讲
      {
        "name": "ohos.permission.MICROPHONE",
        "reason": "$string:dependency_reason_microphone",
        "usedScene": {
          "abilities": [
            "EntryAbility"
          ],
          "when": "inuse"
        }
      },
      // Wifi权限，用于设备WiFi配网
      {
        "name": "ohos.permission.SET_WIFI_INFO",
        "reason": "$string:dependency_reason_wifi",
        "usedScene": {
          "abilities": [
            "EntryAbility"
          ],
          "when": "inuse"
        }
      },
      // 获取Wifi状态
      {
        "name": "ohos.permission.GET_NETWORK_INFO",
        "reason": "$string:dependency_reason_wifi",
        "usedScene": {
          "abilities": [
            "EntryAbility"
          ],
          "when": "inuse"
        }
      },
      // 允许应用存储持久化的数据，该数据直到设备恢复出厂设置或重装系统才会被清除。
      {
        "name": "ohos.permission.STORE_PERSISTENT_DATA",
        "reason": "$string:dependency_reason_wifi",
        "usedScene": {
          "abilities": [
            "EntryAbility"
          ],
          "when": "inuse"
        }
      },
      // 媒体权限，用于将图片、录像保存至相册
      {
        "name": "ohos.permission.WRITE_IMAGEVIDEO",
        "reason": "{}",
        "usedScene": {
        }
      },
      {
        "name": "ohos.permission.READ_IMAGEVIDEO",
        "reason": "{}",
        "usedScene": {}
      }
      //    ,
      //      {
      //        "name": "ohos.permission.READ_MEDIA",
      //        "reason": "$string:module_desc",
      //        "usedScene": {
      //          "abilities": [
      //            "EntryAbility"
      //          ],
      //          "when": "inuse"
      //        }
      //      },
      //      {
      //        "name": "ohos.permission.WRITE_MEDIA",
      //        "reason": "$string:module_desc",
      //        "usedScene": {
      //          "abilities": [
      //            "EntryAbility"
      //          ],
      //          "when": "inuse"
      //        }
      //      }
    ]
  }
}